¿Cómo puedo cambiar ios sdk?

Quiero cambiar mi iOS SDK. Tengo ios 5 y xcode 4.2 pero tengo que networkingucirlo a iOS 4.2 SDK debido a mi aplicación. En developer.apple.com, el xcode 4.1 con iOS 5 no está disponible. ¿Cómo puedo encontrar xcode 4.1 con ios sdk 4.2 o cómo puedo configurar el ios sdk 4.2 sin download xcode nuevamente. Si no es posible, ¿me puede dar un linq para download xcode 4.1 con ios sdk 4.2?

El SDK base debería ser el que está disponible actualmente: es la versión del SDK que ha instalado para comstackr.

Sin embargo, más abajo en la list de configuraciones, verá que puede configurar el "Destino de deployment" para que sea para las versiones inferiores de iOS. Ese es el que especifica la versión más baja del sistema operativo en el que se ejecutará la aplicación.

El último SDK incluía todas las características requeridas de las versiones anteriores de SDK. No deberías preocuparte por eso. Si desea admitir versiones anteriores de iOS, simplemente configure iOS Deployment Target para iOS 4.2 (u otra opción) en la configuration del proyecto en la pestaña Configuración de compilation .